Package: org.grails.web.mapping

## [Java] Class DefaultUrlCreator

- org.grails.web.mapping.DefaultUrlCreator

- All Implemented Interfaces and Traits:
    UrlCreator

      @java.lang.SuppressWarnings("rawtypes")
      public class DefaultUrlCreator
      extends java.lang.Object

  The default implementation of the UrlCreator interface that constructs URLs in Grails default pattern of /controllerName/actionName/id.

  Authors:
    Graeme Rocher
  Since:
    0.5.5

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `ARGUMENT_ID` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultUrlCreator (java.lang.String controller, java.lang.String action)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.String` | `createRelativeURL(java.lang.String controller, java.lang.String action, java.util.Map parameterValues, java.lang.String encoding)`
    `` | `java.lang.String` | `createRelativeURL(java.lang.String controller, java.lang.String action, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding)`
    `` | `java.lang.String` | `createRelativeURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding)`
    `` | `java.lang.String` | `createRelativeURL(java.lang.String controller, java.lang.String action, java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)`
    `` | `java.lang.String` | `createRelativeURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)`
    `` | `java.lang.String` | `createURL(java.util.Map parameterValues, java.lang.String encoding)`
    `` | `java.lang.String` | `createURL(java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)`
    `` | `java.lang.String` | `createURL(java.lang.String controller, java.lang.String action, java.util.Map parameterValues, java.lang.String encoding)`
    `` | `java.lang.String` | `createURL(java.lang.String controller, java.lang.String action, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding)`
    `` | `java.lang.String` | `createURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding)`
    `` | `java.lang.String` | `createURL(java.lang.String controller, java.lang.String action, java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)`
    `` | `java.lang.String` | `createURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String ARGUMENT_ID

  - ### Constructor Detail

    - #### public DefaultUrlCreator(java.lang.String controller, java.lang.String action)

  - ### Method Detail

    - #### public java.lang.String createRelativeURL(java.lang.String controller, java.lang.String action, java.util.Map parameterValues, java.lang.String encoding)

    - #### public java.lang.String createRelativeURL(java.lang.String controller, java.lang.String action, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding)

    - #### @java.lang.SuppressWarnings("unchecked") public java.lang.String createRelativeURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding)

    - #### public java.lang.String createRelativeURL(java.lang.String controller, java.lang.String action, java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)

    - #### @java.lang.SuppressWarnings("unchecked") public java.lang.String createRelativeURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)

    - #### public java.lang.String createURL(java.util.Map parameterValues, java.lang.String encoding)

    - #### public java.lang.String createURL(java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)

    - #### public java.lang.String createURL(java.lang.String controller, java.lang.String action, java.util.Map parameterValues, java.lang.String encoding)

    - #### public java.lang.String createURL(java.lang.String controller, java.lang.String action, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding)

    - #### @java.lang.SuppressWarnings("unchecked") public java.lang.String createURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding)

    - #### public java.lang.String createURL(java.lang.String controller, java.lang.String action, java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)

    - #### public java.lang.String createURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)